Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.discrete
Class DGTrainSMParameterSet<T extends DiscreteGraphicalTrainSM>

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<T>
              de.jstacs.parameters.SequenceScoringParameterSet<T>
                  de.jstacs.sequenceScores.statisticalModels.trainable.discrete.DGTrainSMParameterSet<T>

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

Direct Known Subclasses:
  HomogeneousTrainSMParameterSet, IDGTrainSMParameterSet

    public abstract class DGTrainSMParameterSet<T extends DiscreteGraphicalTrainSM>

extends SequenceScoringParameterSet<T>

The super `ParameterSet` for any parameter set of a `DiscreteGraphicalTrainSM`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`protected` | `DGTrainSMParameterSet(Class<T> instanceClass, AlphabetContainer alphabet, double ess, String description)` The constructor for models that can handle variable lengths.
`protected` | `DGTrainSMParameterSet(Class<T> instanceClass, AlphabetContainer alphabet, int length, double ess, String description)` The constructor for models that can handle only sequences of fixed length given by `length`.
`protected` | `DGTrainSMParameterSet(Class<T> instanceClass, boolean simple, boolean variableLength)` An empty constructor.
`protected` | `DGTrainSMParameterSet(StringBuffer s)` The standard constructor for the interface `Storable`.

Method Summary
`DGTrainSMParameterSet` | `clone()` Creates a full clone (deep copy) of this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.
`boolean` | `hasDefaultOrIsSet()` Returns `true` if all parameters in this `ParameterSet` are either set by the user or have default values.
`void` | `setEss(double ess)` This method can be used to set the ess (equivalent sample size) of this parameter set.

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass, getInstanceComment`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getParameterForName, getParent, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DGTrainSMParameterSet

    protected DGTrainSMParameterSet(StringBuffer s)
                             throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `DiscreteGraphicalTrainSM` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `DiscreteGraphicalTrainSM` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `SequenceScoringParameterSet.SequenceScoringParameterSet(StringBuffer)`

### DGTrainSMParameterSet

    protected DGTrainSMParameterSet(Class<T> instanceClass,
                                    boolean simple,
                                    boolean variableLength)

  An empty constructor. Creates a new `DGTrainSMParameterSet` from the class that can be instantiated using this `DGTrainSMParameterSet`.

  Parameters:
    `instanceClass` - the (sub-)class
    `simple` - indicates whether the alphabet should be simple or not
    `variableLength` - indicates whether the model can handle sequences of variable length
  See Also:
    `SequenceScoringParameterSet.SequenceScoringParameterSet(Class, AlphabetContainer.AlphabetContainerType, boolean, boolean)`

### DGTrainSMParameterSet

    protected DGTrainSMParameterSet(Class<T> instanceClass,
                                    AlphabetContainer alphabet,
                                    double ess,
                                    String description)
                             throws Exception

  The constructor for models that can handle variable lengths. Creates a new `DGTrainSMParameterSet` with a `description` from the class that can be instantiated using this `DGTrainSMParameterSet`, a given `AlphabetContainer` and a given equivalent sample size (ess).

  Parameters:
    `instanceClass` - the (sub-)class
    `alphabet` - the alphabet
    `ess` - the ess (equivalent sample size)
    `description` - the description
  Throws:
    `Exception` - if something went wrong

### DGTrainSMParameterSet

    protected DGTrainSMParameterSet(Class<T> instanceClass,
                                    AlphabetContainer alphabet,
                                    int length,
                                    double ess,
                                    String description)
                             throws Exception

  The constructor for models that can handle only sequences of fixed length given by `length`. Creates a new `DGTrainSMParameterSet` with a `description` from the class that can be instantiated using this `DGTrainSMParameterSet`, a given `AlphabetContainer` and a given equivalent sample size (ess).

  Parameters:
    `instanceClass` - the (sub-)class
    `alphabet` - the alphabet
    `length` - the length of the modeled sequences
    `ess` - the ess (equivalent sample size)
    `description` - the description
  Throws:
    `Exception` - if something went wrong

Method Detail

### hasDefaultOrIsSet

    public boolean hasDefaultOrIsSet()

  Description copied from class: `ParameterSet`
  Returns `true` if all parameters in this `ParameterSet` are either set by the user or have default values. If any additional constraints are required on your parameters you should either specify some `ParameterValidator` on these parameters or implement these constraints by overriding this method in your implementation of `ParameterSet`. It is recommended to specify a useful remark which constraint failed in the member-variable `errorMessage`, which will be displayed to the user. In the overriding method `super.``ParameterSet.hasDefaultOrIsSet()` should be called prior to checking specific constraints.

  Overrides:
    `hasDefaultOrIsSet` in class `SequenceScoringParameterSet<T extends DiscreteGraphicalTrainSM>`
  Returns:
    `true` if all parameters have some allowed value set, `false` otherwise

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet<T extends DiscreteGraphicalTrainSM>`
  Returns:
    the name of the class

### clone

    public DGTrainSMParameterSet clone()
                                throws CloneNotSupportedException

  Description copied from class: `ParameterSet`
  Creates a full clone (deep copy) of this `ParameterSet`. As a convenience-method the user can use `fillWithStandardFieldsForClone(ParameterSet)` on a newly created instance of a subclass of `ParameterSet` to obtain a clone/copy of all standard member variables (those already defined in `ParameterSet`) in the passed `ParameterSet`. Using this method, the cloning process becomes merely three-step:
  - Create a new instance of your subclass of `ParameterSet`, most likely with an empty constructor or the one taking just the instance class.
  - Call `this.fillWithStandardFieldsForClone` on this instance.
  - Return the instance.
  This method fulfills the conventions of `Object`'s method `Object.clone()`.

  Overrides:
    `clone` in class `SequenceScoringParameterSet<T extends DiscreteGraphicalTrainSM>`
  Returns:
    a deep clone/copy of this `ParameterSet`
  Throws:
    `CloneNotSupportedException`

### setEss

    public void setEss(double ess)
                throws SimpleParameter.IllegalValueException

  This method can be used to set the ess (equivalent sample size) of this parameter set.

  Parameters:
    `ess` - the ess (equivalent sample size)
  Throws:
    `SimpleParameter.IllegalValueException` - if the ess is negative

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD